Page MenuHomePhabricator

After a user merge, there might be duplicate Echo notifications
Closed, ResolvedPublic

Description

After merging two users, they might have some duplicate notifications (welcome for example).

Event Timeline

Legoktm created this task.Jun 24 2015, 9:03 PM
Legoktm raised the priority of this task from to Low.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, Shanmugamp7.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 24 2015, 9:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 7:19 AM

Change 461123 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Echo@master] Remove duplicate notifications after merging users

https://gerrit.wikimedia.org/r/461123

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 18 2018, 1:01 PM

Change 461123 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Remove duplicate notifications after merging users

https://gerrit.wikimedia.org/r/461123

Etonkovidova changed the task status from Open to Stalled.Jan 22 2019, 9:49 PM
Etonkovidova moved this task from Untriaged to External on the Collaboration-Team-Triage board.
Etonkovidova added a subscriber: Etonkovidova.

I am changing the status to 'Stalled' 'External' per description of T204747

No local or global group is currently granted the 'usermerge' permission, making the extension also unused.

And per comment https://phabricator.wikimedia.org/T204747#4898099

In its current state, UserMerge isn't suitable for use on Wikimedia sites due to database performance issues, and poor integration with CentralAuth/SUL. These problems aren't insurmountable, but I don't think the time investment into fixing them is worth the ability to merge users, nor has anyone stepped up to fix them.
I would recommend/endorse undeployment until those problems can be resolved, either by improving the database schema so UserMerge doesn't have to make unindexed, expensive database update queries, or some redirect thing like Tgr has suggested.

Restricted Application added a project: Growth-Team. · View Herald TranscriptJan 22 2019, 9:54 PM
matej_suchanek removed matej_suchanek as the assignee of this task.Jan 23 2019, 1:33 PM
matej_suchanek removed a project: Patch-For-Review.
matej_suchanek added a subscriber: matej_suchanek.
Catrope closed this task as Resolved.Feb 5 2019, 7:05 PM